<div class="container dash" ng-init="load_study()">

    <div class="dash__sticks">

      <div class="row">
      <form name="hostForm" ng-submit="add_host()">
        <div class="col-lg-2 col-md-2 col-sm-2">
          <div class="form-group">
            <input type="text" name="name" class="form-control" ng-model="host.name" placeholder="Name" required />
          </div>
        </div>
        <div class="col-lg-2 col-md-2 col-sm-2">
          <div class="form-group">
            <input type="text" class="form-control" ng-model="host.ae_title" placeholder="AE Title" />
          </div>
        </div>
        <div class="col-lg-2 col-md-2 col-sm-2">
          <div class="form-group">
            <input type="text" class="form-control" ng-model="host.ip_address" placeholder="IP Address">
          </div>
        </div>
        <div class="col-lg-2 col-md-2 col-sm-2">
          <div class="form-group">
            <input type="text" class="form-control" ng-model="host.port" placeholder="Port" />
          </div>
        </div>
        <div class="col-lg-2 col-md-2 col-sm-2">
            <button type="submit" class="btn btn-success">Add Workstation</button>
        </div>
      </form>
      </div>
      <br/><br/>
      <table class="table  table-hover table-condensed">
        <tr style="font-weight: bold">
          <td style="width:20%">Name</td>
          <td style="width:20%">AE Title</td>
          <td style="width:20%">IP Addresses</td>
          <td style="width:20%">Port</td>
          <td style="width:20%">Edit</td>
        </tr>
        <tr ng-repeat="user in users">
          <td>
            <!-- editable username (text with validation) -->
            <span editable-text="user.name" ng-model="user.name" e-name="name" e-form="rowform" onbeforesave="checkName($data, user.name)">
              {{ user.name }}
            </span>
          </td>
          <td>
            <span editable-text="user.ae_title" ng-model="user.ae_title" e-name="ae_title" e-form="rowform" onbeforesave="checkAe_title($data, user.ae_title)">
              {{ user.ae_title }}
            </span>
          </td>
          <td>
            <span editable-text="user.ip_address" ng-model="user.ip_address" e-name="ip_address" e-form="rowform" onbeforesave="checkIp_address($data, user.ip_address)">
              {{ user.ip_address }}
            </span>
          </td>

          <td>
            <span editable-text="user.port" ng-model="user.port" e-name="port" e-form="rowform" onbeforesave="checkPort($data, user.port)">
              {{ user.port }}
            </span>
          </td>
          <td style="display: none;">
            <span editable-text="user.id" ng-model="user.id" e-name="id" e-form="rowform">
              {{ user.id }}
            </span>
          </td>
          <td style="white-space: nowrap">
            <!-- form -->
            <form editable-form name="rowform" onbeforesave="saveUser($data, user)" ng-show="rowform.$visible" class="form-buttons form-inline" shown="inserted == user">
              <button type="submit" onaftersave="update(user)" ng-disabled="rowform.$waiting" class="btn btn-primary">
                save
              </button>
              <button type="button" ng-disabled="rowform.$waiting" ng-click="rowform.$cancel()" class="btn btn-default">
                cancel
              </button>
            </form>
            <div class="buttons" ng-show="!rowform.$visible">
              <button class="btn btn-primary" ng-click="rowform.$show()"><i class="fa fa-pencil" aria-hidden="true"></i></button>
              <button class="btn btn-danger" ng-click="removeHost(user.id)"><i class="fa fa-times" aria-hidden="true"></i></button>
            </div>
          </td>
        </tr>
      </table>

    </div>

</div>
